<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recap CSS</title>
</head>
<body>
    <h1> Prioriter du css</h1>
    <p>
        L'attirbut "style" dans un element est prioritaire sur l'identifiant de l'element qui est lui même prioritaire sur les classes qui sont elle même prioritaire sur le css hériter des parents
    </p>

    <h1>Manipulation text</h1>
    <ul>
        <li> color => Couleur du text </li>
        <li>font-size => Taille du text</li>
        <li>font-weight => bolditude du text</li>
        <li>text-align => alignment text</li>
        <li>font-family => police</li>
    </ul>

    <h1>Manipulation border</h1>
    <ul>
        <li>border => gerer la taille de toutes les bordures </li>
        <li>border-< direction > => permet de donner des informations sur la bordure</li>
        <li>border-radius => Arrondit des coins</li>
    </ul>

    <h1>Element</h1>
    <ul>
        <li>background-color => gerer la couleur de fond</li>
        <li>width => gerer la largeur</li>
        <li>height => gerer la hauteur</li>
    </ul>

    <h1>Espacement</h1>
    <ul>
        <li>margin => gerer un espacement à l'exterieur d'un element</li>
        <li>padding => gerer un espacement à l'interieur d'un element</li>
    </ul>

    <h1>FlexBox</h1>
    <ul>
        <li>Parent
            <h1></h1>
            <ul>
                <li>display: flex => pour initialiser le flex</li>
                <li>flex-direction => pour gerer la direction</li>
                <li>flex-wrap => pour mettre les elements à la ligne quand trop grand</li>
                <li>justify-content => pour gerer l'alignment au seins du flex</li>
                <li>align-items => pour gerer l'alignment au seins du flex mais direction inverse du justify selon le flex-direction</li>
            </ul>
        </li>
    </ul>
    <h1>pseudo class</h1>
    <ul>
        <li>:hover => s'active quand la souris passe sur l'element</li>
        <li>:nth-child(< parametres >) => permet de donner du style au enfants selon les parametres</li>
    </ul>
</body>
</html>